


function InsereLista(file)
	lines = readlines(file)
	for i=1:7:(length(lines)+1)
		if chomp(lines[i]) == "p"
			nome = chomp(lines[i+1])
			data1 = chomp(lines[i+2])
			matricula = chomp(lines[i+3])
			data2 = chomp(lines[i+4])
			salario = chomp(lines[i+5])

			professor = Professor(nome,data1,matricula,data2,salario)
			println("Professor(a) " * getNome(professor) * " adicionado(a) na lista")
			push!(Universitarios,professor)

		elseif chomp(lines[i]) == "a"
			nome = chomp(lines[i+1])
			data1 = chomp(lines[i+2])
			matricula = chomp(lines[i+3])
			data2 = chomp(lines[i+4])
			salario = chomp(lines[i+5])

			aluno = Aluno(nome,data1,matricula,data2,salario)
			println("Aluno(a) " * getNome(aluno) * " adicionado(a) na lista")
			push!(Universitarios,aluno)
		end
	end
end


function RealizaAlterações(file)
	while(!eof(file))
		try
		c = chomp(readline(file))
		if c == "a"
			if chomp(readline(file)) == "p"
				nome = chomp(readline(file))
				data1 = chomp(readline(file))
				matricula = chomp(readline(file))
				data2 = chomp(readline(file))
				salario = chomp(readline(file))
				for i in Universitarios
							if(getMatricula(i) == matricula)
								deleteat!(Universitarios,findin(Universitarios,[i]))
							end
						end
				professor = Professor(nome,data1,matricula,data2,salario)
				println("Informaçoes do Professor(a) " * getNome(professor) * " foram alteradas")
				push!(Universitarios,professor)
			else
					nome = chomp(readline(file))
					data1 = chomp(readline(file))
					matricula = chomp(readline(file))
					data2 = chomp(readline(file))
					salario = chomp(readline(file))
					for i in Universitarios
							if(getMatricula(i) == matricula)
								deleteat!(Universitarios,findin(Universitarios,[i]))
							end
						end
					aluno = Aluno(nome,data1,matricula,data2,salario)
					println("Informaçoes do Aluno(a) " * getNome(aluno) * " foram alteradas")
					push!(Universitarios,aluno)
			end
		elseif c == "i"
				if chomp(readline(file)) == "p"
					nome = chomp(readline(file))
					data1 = chomp(readline(file))
					matricula = chomp(readline(file))
					data2 = chomp(readline(file))
					salario = chomp(readline(file))

					professor = Professor(nome,data1,matricula,data2,salario)
					println("Professor(a) " * getNome(professor) * " adicionado(a) na lista")
					push!(Universitarios,professor)

				else
					nome = chomp(readline(file))
					data1 = chomp(readline(file))
					matricula = chomp(readline(file))
					data2 = chomp(readline(file))
					salario = chomp(readline(file))

					aluno = Aluno(nome,data1,matricula,data2,salario)
					println("Aluno(a) " * getNome(aluno) * " adicionado(a) na lista")
					push!(Universitarios,aluno)

				end
		elseif c == "e"
			matricula = chomp(readline(file))
			for i in Universitarios
				if(getMatricula(i) == matricula)
					deleteat!(Universitarios,findin(Universitarios,[i]))
					println("Universitario de matricula " * matricula * " foi excluido da lista")
				end
			end
		end
		catch
		ArgumentError
			println("Data invalida!")
		end
	end
end


function CriaListagens()
	for i in Universitarios
		if typeof(i) == Professor
			push!(Professores, i)
		else
			push!(Alunos,i)
		end
	end
end

function ImprimeListagens(fileSaida)
	write(fileSaida,"Lista de Professores ordenados por salario crescente\n\n")
	for i in Professores
		write(fileSaida,getNome(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataNasc(i)) Dates.month(getDataNasc(i)) Dates.year(getDataNasc(i))
		write(fileSaida,data)
		write(fileSaida,getMatricula(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataIngress(i)) Dates.month(getDataIngress(i)) Dates.year(getDataIngress(i))
		write(fileSaida,data)
		writedlm(fileSaida,getSalario(i))
		write(fileSaida,"\n")
	end

	write(fileSaida,"Lista de Alunos ordenados por cr decrescente\n\n")
	for i in Alunos
		write(fileSaida,getNome(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataNasc(i)) Dates.month(getDataNasc(i)) Dates.year(getDataNasc(i))
		write(fileSaida,data)
		write(fileSaida,getMatricula(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataIngress(i)) Dates.month(getDataIngress(i)) Dates.year(getDataIngress(i))
		write(fileSaida,data)
		writedlm(fileSaida,getCr(i),"\n")
		write(fileSaida,"\n")
	end

	write(fileSaida,"Lista de Universitarios ordenados alfabeticamente\n\n")
	for i in Universitarios
		write(fileSaida,getNome(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataNasc(i)) Dates.month(getDataNasc(i)) Dates.year(getDataNasc(i))
		write(fileSaida,data)
		write(fileSaida,getMatricula(i),"\n")
		data = @sprintf "%d/%d/%d\n" Dates.day(getDataIngress(i)) Dates.month(getDataIngress(i)) Dates.year(getDataIngress(i))
		write(fileSaida,data)
		write(fileSaida,"\n")
	end
end
